<template>
  <el-dialog
    class="create-gobang-room-dialog"
    v-model="show"
    title="创建房间"
    :fullscreen="smLess"
    align-center
  >
    <el-button type="success" @click="onCreateRoomButtonClick">创建房间</el-button>
  </el-dialog>
</template>
<style lang="scss">
.create-gobang-room-dialog {
  .el-dialog__body {
    display: flex;
    flex-direction: column;
  }
}
</style>
<script setup lang="ts">
import { useMediaStore } from '@/stores/media';
import { storeToRefs } from 'pinia';

const { smLess } = storeToRefs(useMediaStore());
const show = defineModel({ default: false });
const emit = defineEmits(['click']);
function onCreateRoomButtonClick() {
  show.value = false;
  emit('click');
}
</script>
